package com.futureshocked.debug;

/**
 * Small class that provides some common functionality.
 */
public class StringUtil {

  /**
   * Returns just the class name from a <tt>String</tt> that contains the
   *   package and class name.
   *
   * @param className fully qualified class name
   * @return short class name
   */
  public static String getShortClassName(String className) {
    int dotIndex = className.lastIndexOf('.');

    if (dotIndex > -1)
      return className.substring(dotIndex + 1);
    else
      return className;
  }
}
